// es6 polyfill
import Date from './components/date';
import Linechart from './components/Linechart'
import Barchart from './components/BarChart'
import Button from './components/button'
import Input from './components/input'
// import DatePicker from './components/date-picker';

const iview = {
    Date,
    Linechart,
    Barchart,
    Button,
    Input,
    // DatePicker,
};

const install = function (Vue, opts = {}) {
    Object.keys(iview).forEach((key) => {
        Vue.component(key, iview[key]);
    });
};

// auto install
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

export default Object.assign(iview, {install});   // eslint-disable-line no-undef
